Bug 772583 - starting a replace brick operation says "replace-brick commit failed"
starting a replace brick operation says "replace-brick commit failed"
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: krishnan parthasarathi
shylesh
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-09 05:29 EST by shylesh
Modified: 2015-11-03 18:04 EST (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:56:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: 3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description shylesh 2012-01-09 05:29:22 EST
Description of problem:
starting a replace brick operation says "replace-brick commit failed"

Version-Release number of selected component (if applicable):
Mainline

How reproducible:
often

Steps to Reproduce:
1.created a distribute volume with a brick
2.executed the command "gluster volume replace-brick $vol $brick1 $brick2 start force" 

  
Actual results:

got the message "starting a replace brick operation says "replace-brick commit failed"

Expected results:
There is not force operation associated with the start command, so it should throw proper error.

Additional info:


[2012-01-09 05:13:12.382331] I [glusterd-utils.c:215:glusterd_is_local_addr] 0-glusterd: 10.1.11.140 is local
[2012-01-09 05:13:12.382361] E [glusterd-op-sm.c:1560:glusterd_op_ac_send_stage_op] 0-: Staging failed
[2012-01-09 05:13:12.382391] I [glusterd-op-sm.c:1600:glusterd_op_ac_send_stage_op] 0-glusterd: Sent op req to 0 peers
[2012-01-09 05:13:12.382407] I [glusterd-op-sm.c:1982:glusterd_op_txn_complete] 0-glusterd: Cleared local lock
[2012-01-09 05:13:31.494268] I [glusterd-replace-brick.c:60:glusterd_handle_replace_brick] 0-glusterd: Received replace brick req
[2012-01-09 05:13:31.494313] I [glusterd-replace-brick.c:126:glusterd_handle_replace_brick] 0-glusterd: Received replace brick commit-force request
[2012-01-09 05:13:31.494344] I [glusterd-utils.c:259:glusterd_lock] 0-glusterd: Cluster lock held by a3752a21-88ef-4fbc-ad0b-caa78bb0e15d
[2012-01-09 05:13:31.494355] I [glusterd-handler.c:438:glusterd_op_txn_begin] 0-management: Acquired local lock
[2012-01-09 05:13:31.494421] I [glusterd-utils.c:778:glusterd_volume_brickinfo_get_by_brick] 0-: brick: 10.1.11.140:/export/sda/b6
[2012-01-09 05:13:31.495462] I [glusterd-utils.c:215:glusterd_is_local_addr] 0-glusterd: 10.1.11.140 is local
[2012-01-09 05:13:31.495488] I [glusterd-utils.c:738:glusterd_volume_brickinfo_get] 0-management: Found brick
[2012-01-09 05:13:31.495652] I [glusterd-utils.c:215:glusterd_is_local_addr] 0-glusterd: 10.1.11.140 is local
[2012-01-09 05:13:31.496488] I [glusterd-utils.c:215:glusterd_is_local_addr] 0-glusterd: 10.1.11.140 is local
[2012-01-09 05:13:31.496512] E [glusterd-replace-brick.c:476:glusterd_op_stage_replace_brick] 0-: replace brick: incorrect source or destination bricks specified
[2012-01-09 05:13:31.496522] E [glusterd-op-sm.c:1560:glusterd_op_ac_send_stage_op] 0-: Staging failed
[2012-01-09 05:13:31.496532] I [glusterd-op-sm.c:1600:glusterd_op_ac_send_stage_op] 0-glusterd: Sent op req to 0 peers
[2012-01-09 05:13:31.496544] I [glusterd-op-sm.c:1982:glusterd_op_txn_complete] 0-glusterd: Cleared local lock
[root@RHEL6 glusterfs]# gluster volume replace-brick test 10.1.11.140:/export/sda/b6 10.1.11.140:/export/sda/b2 start force
replace-brick commit failed
Comment 1 Anand Avati 2012-01-10 09:34:58 EST
CHANGE: http://review.gluster.com/2613 (cli: Corrected replace-brick error messages and usage string.) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 shylesh 2012-05-23 07:47:13 EDT
Now it shows the usage

[root@gqac022 ~]# gluster v replace-brick test  10.16.157.66:/home/bricks/test1 10.16.157.66:/home/bricks/test123 start force 
Usage: volume replace-brick <VOLNAME> <BRICK> <NEW-BRICK> {start|pause|abort|status|commit [force]}
Comment 3 shylesh 2012-05-23 07:48:54 EDT
Now it shows the usage

[root@gqac022 ~]# gluster v replace-brick test  10.16.157.66:/home/bricks/test1 10.16.157.66:/home/bricks/test123 start force 
Usage: volume replace-brick <VOLNAME> <BRICK> <NEW-BRICK> {start|pause|abort|status|commit [force]}

Note You need to log in before you can comment on or make changes to this bug.